## org.apache.catalina.util
Class IOTools

    java.lang.Object
      org.apache.catalina.util.IOTools

public class IOTools
extends java.lang.Object

Contains commonly needed I/O-related methods

Author:
  Dan Sandberg

Field Summary
`protected static int` `DEFAULT_BUFFER_SIZE`

Method Summary
`static void` `flow(java.io.InputStream is, java.io.OutputStream os)`
`static void` `flow(java.io.InputStream is, java.io.OutputStream os, byte[] buf)` Read input from input stream and write it to output stream until there is no more input from input stream.
`static void` `flow(java.io.Reader reader, java.io.Writer writer)`
`static void` `flow(java.io.Reader reader, java.io.Writer writer, char[] buf)` Read input from reader and write it to writer until there is no more input from reader.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_BUFFER_SIZE

    protected static final int DEFAULT_BUFFER_SIZE

See Also:
  Constant Field Values

Method Detail

### flow

    public static void flow(java.io.Reader reader,
                            java.io.Writer writer,
                            char[] buf)
                     throws java.io.IOException

  Read input from reader and write it to writer until there is no more input from reader.

  Parameters:
    `reader` - the reader to read from.
    `writer` - the writer to write to.
    `buf` - the char array to use as a bufferx
  Throws:
    `java.io.IOException`

### flow

    public static void flow(java.io.Reader reader,
                            java.io.Writer writer)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`
  See Also:
    `flow( Reader, Writer, char[] )`

### flow

    public static void flow(java.io.InputStream is,
                            java.io.OutputStream os,
                            byte[] buf)
                     throws java.io.IOException

  Read input from input stream and write it to output stream until there is no more input from input stream.

  Parameters:
    `buf` - the byte array to use as a buffer
  Throws:
    `java.io.IOException`

### flow

    public static void flow(java.io.InputStream is,
                            java.io.OutputStream os)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`
  See Also:
    `flow( Reader, Writer, byte[] )`

Copyright ? 2000-2002 Apache Software Foundation. All Rights Reserved.